﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="MainWindow.xaml.cs" company="DCS">
//   
// </copyright>
// <summary>
//   Interaction logic for MainWindow.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

using System;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.IO;
using System.Windows;
using System.Windows.Data;
using Infragistics.Documents.Excel;
using Infragistics.Windows.DataPresenter.ExcelExporter;
using Microsoft.Win32;


namespace DemoApplication
{
  /// <summary>
  /// Interaction logic for MainWindow.xaml
  /// </summary>
  public partial class MainWindow
  {
    private readonly ObservableCollection<Userinformation> _userInfo;
    private string currentReport;

    /// <summary>Initializes a new instance of the <see cref="MainWindow"/> class.</summary>
    public MainWindow()
    {
      InitializeComponent();
      _userInfo = new ObservableCollection<Userinformation>
                    {
                      new Userinformation {UserName = "Ram", UserId = "1", FirstName = "Ram", LastName = "Charan", Location = "Bangalore", Salary = 10000}, 
                      new Userinformation {UserName = "Mahesh", UserId = "2", FirstName = "Mahesh", LastName = "babu", Location = "Bangalore", Salary = 20000}, 
                      new Userinformation {UserName = "Tom", UserId = "3", FirstName = "Tom", LastName = "cruise", Location = "Delhi", Salary = 30000}, 
                      new Userinformation {UserName = "Will", UserId = "4", FirstName = "Will", LastName = "smith", Location = "Hyderabad", Salary = 40000}, 
                      new Userinformation {UserName = "Will", UserId = "4", FirstName = "Will", LastName = "smith", Location = "Chennai", Salary = 50000}, 
                      new Userinformation {UserName = "Will", UserId = "4", FirstName = "Will", LastName = "smith", Location = "Paris", Salary = 50000}, 
                      new Userinformation {UserName = "Will", UserId = "4", FirstName = "Will", LastName = "smith", Location = "Paris", Salary = 60000}, 
                    };
      ICollectionView view = CollectionViewSource.GetDefaultView(_userInfo);
      view.GroupDescriptions.Add(new PropertyGroupDescription("UserName"));
      view.SortDescriptions.Add(new SortDescription("UserId", ListSortDirection.Ascending));
      view.SortDescriptions.Add(new SortDescription("FirstName", ListSortDirection.Ascending));
      Project.DataSource = view;
    }

    private void Button_Click(object sender, System.Windows.RoutedEventArgs e)
    {
      var exporter = new DataPresenterExcelExporter();
      string file = currentReport + " " + DateTime.Now.ToString("ddMMyy hhmmss") + ".xls";
      exporter.HeaderLabelExporting += exporter_HeaderLabelExporting;
      Workbook workbook = exporter.Export(Project, file, WorkbookFormat.Excel97To2003);
     // SaveExport(workbook);
    }

    private void exporter_HeaderLabelExporting(object sender, HeaderLabelExportingEventArgs e)
    {
      e.FormatSettings.FontWeight = FontWeights.Bold;
    }
  }
}
